Subject: Re: bug#10634: `forward-list' scan error

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Aug 2021 17:16:25 +0200

Marcin Borkowski <[email-masked]> writes:

> On 2012-01-28, at 23:20, Raffaele Ricciardi <[email-masked]> wrote:
>
>> Error: "forward-list: Scan error: "Containing expression ends
>> prematurely", 336, 336"
>>
>> How to reproduce it:
>> - emacs -Q
>> - switch to *scratch*
>> - in the following code:
>>
>> (abc (def) (ghi) lmn)
>>
>> `forward-list' fails in different positions, for instance (| is point):
>>
>> (abc (|d|e|f|) (ghi) lmn)
>>
>> Software: GNU Emacs 23.3.1 (i686-pc-linux-gnu, GTK+ Version 2.20.1) of
>> 2011-12-10 on debian
>
> Hi all,
>
> while I can easily reproduce this on current Emacs (25.1.50.1), I'm not
> sure whether this is really a bug.  (Maybe it is a bug in the
> docstring?)

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This has changed a bit since reported a decade ago.  The command now says:

user-error: No next group

Which is the correct thing here -- the command is (now) documented to
"Move forward across one balanced group of parentheses.", and in the
case here, there's no group of parentheses to move forward over.

So this works as intended (`up-list' is the command to use in this
instance, most likely), and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no